Bug 1300943 - Review Request: compiler-rt - LLVM compiler-rt runtime libraries
Review Request: compiler-rt - LLVM compiler-rt runtime libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1300945
  Show dependency treegraph
 
Reported: 2016-01-22 02:32 EST by Dave Airlie
Modified: 2016-03-27 07:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 07:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dave Airlie 2016-01-22 02:32:48 EST
Note: this is a splitting up of the current llvm package, and moving to using cmake as per upstream recommendations going forward. This package won't build in mock as it requires the llvm base package to be built first from the same URL.

Spec URL: https://fedorapeople.org/~airlied/llvm/cmake/compiler-rt.spec
SRPM URL: https://fedorapeople.org/~airlied/llvm/cmake/compiler-rt-3.7.1-1.fc24.src.rpm
Description: LLVM compiler-rt runtime libraries
Fedora Account System Username: airlied
Comment 1 Adam Jackson 2016-01-26 16:29:04 EST
Builds correctly in mockchain against new llvm, spec looks good, skipping the fedora-review output here because it doesn't want to run in an amount of time I'm willing to wait.
Comment 2 Gwyn Ciesla 2016-01-27 08:20:54 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/compiler-rt
Comment 3 Upstream Release Monitoring 2016-02-01 09:29:35 EST
koschei's scratch build of llvm-3.7.1-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12769420

Note You need to log in before you can comment on or make changes to this bug.